Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.drivers.input
Class EventDriver

    java.lang.Object
      |
      +--org.netbeans.jemmy.drivers.LightSupportiveDriver
            |
            +--org.netbeans.jemmy.drivers.input.EventDriver

All Implemented Interfaces:
  LightDriver

Direct Known Subclasses:
  KeyEventDriver, MouseEventDriver

public class EventDriver
extends LightSupportiveDriver

Superclass for all drivers using event dispatching.

Author:
  Alexandre Iline(alexandre.iline@sun.com)

Inner Class Summary
`protected class` | `EventDriver.Dispatcher` Class used fot execution of an event through the dispatching thread.

Constructor Summary
`EventDriver()` Constructs an EventDriver object suporting ComponentOperator.
`EventDriver(java.lang.String[] supported)` Constructs an EventDriver object.

Method Summary
`protected void` | `checkVisibility(java.awt.Component component)` Checks component visibility.
`void` | `dispatchEvent(java.awt.Component comp, java.awt.AWTEvent event)` Dispatches an event to the component.

Methods inherited from class org.netbeans.jemmy.drivers.LightSupportiveDriver
`checkSupported, getSupported`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventDriver

    public EventDriver(java.lang.String[] supported)

  Constructs an EventDriver object.
  Parameters:
    `supported` - an array of supported class names

### EventDriver

    public EventDriver()

  Constructs an EventDriver object suporting ComponentOperator.

Method Detail

### dispatchEvent

    public void dispatchEvent(java.awt.Component comp,
                              java.awt.AWTEvent event)

  Dispatches an event to the component.
  Parameters:
    `comp` - Component to dispatch events to.
    `event` - an event to dispatch.

### checkVisibility

    protected void checkVisibility(java.awt.Component component)

  Checks component visibility.
  Parameters:
    `component` - a component.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD